package com.xintong.visualinspection.dao.cluster;

import com.xintong.visualinspection.bean.FeeStation;
import com.xintong.visualinspection.bean.FwqNum;
import com.xintong.visualinspection.bean.Organ;
import com.xintong.visualinspection.bean.StatisticsBean;
import com.xintong.visualinspection.bean.User;
import com.xintong.visualinspection.bean.WreckerGroup;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 文件名：UserInfoDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface DepartmentDao  {
	public List<Organ> getAll();
    public List<Organ> getOrgan(Organ organ);
    public void insert(Organ organ);
    public void update(Organ organ);
    public void delete(Integer id);
    public List<FeeStation> getAllFS();
    public List<FeeStation> getAllRM();
    public List<WreckerGroup> getAllWG();
    public List<FeeStation> getAllSA();
    public FeeStation getFsBydeptId(Integer id);
    
    public List<StatisticsBean> selectFeeStationGroup(User obj);

    List<FwqNum> getOrganToSaCount();
}
